import type { Compiler } from 'webpack';
export declare class WebpackPluginStartElectron {
    private opts;
    private electronProcess;
    private mainCompiler?;
    private rendererCompiler?;
    private static instance?;
    private appPath;
    private mainReady;
    private rendererReady;
    private logger;
    constructor(opts?: {
        fileUrl?: boolean;
        electronLiveReload?: boolean;
    });
    apply(compiler: Compiler): void;
    private stopElectron;
    private startElectron;
    private kill;
    private setupKeypressListeners;
}
//# sourceMappingURL=webpack-plugin-start-electron.d.ts.map